* REPLICATION DO-FILE FOR TABLES IN "COUNTERING BIAS? THE EU COMMISSION'S CONSULTATION WITH INTEREST GROUPS'"

* FIRST CREATE SOME NEW VARIABLES FROM THE DATASET

* V3 Policy content (Eurlex directory code)
destring V3, generate(eurlex_code) ignore(`"."') float
*Then make new variable for eurlex-kode
gen new_eurlexcode=.
*Then recode into more manageable format
replace new_eurlexcode = 01 if eurlex_code>1000000 & eurlex_code<1999999
replace new_eurlexcode = 02 if eurlex_code>2000000 & eurlex_code<2999999
replace new_eurlexcode = 03 if eurlex_code>3000000 & eurlex_code<3999999
replace new_eurlexcode = 04 if eurlex_code>4000000 & eurlex_code<4999999
replace new_eurlexcode = 05 if eurlex_code>5000000 & eurlex_code<5999999
replace new_eurlexcode = 06 if eurlex_code>6000000 & eurlex_code<6999999
replace new_eurlexcode = 07 if eurlex_code>7000000 & eurlex_code<7999999
replace new_eurlexcode = 08 if eurlex_code>8000000 & eurlex_code<8999999
replace new_eurlexcode = 09 if eurlex_code>9000000 & eurlex_code<9999999
replace new_eurlexcode = 10 if eurlex_code>10000000 & eurlex_code<10999999
replace new_eurlexcode = 11 if eurlex_code>11000000 & eurlex_code<11999999
replace new_eurlexcode = 12 if eurlex_code>12000000 & eurlex_code<12999999
replace new_eurlexcode = 13 if eurlex_code>13000000 & eurlex_code<13999999
replace new_eurlexcode = 14 if eurlex_code>14000000 & eurlex_code<14999999
replace new_eurlexcode = 15 if eurlex_code>15000000 & eurlex_code<15999999
replace new_eurlexcode = 16 if eurlex_code>16000000 & eurlex_code<16999999
replace new_eurlexcode = 17 if eurlex_code>17000000 & eurlex_code<17999999
replace new_eurlexcode = 18 if eurlex_code>17999999.9 & eurlex_code<18999999
replace new_eurlexcode = 19 if eurlex_code>19000000 & eurlex_code<19999999
replace new_eurlexcode = 20 if eurlex_code>20000000 & eurlex_code<20999999


* From Eurlex directory codes to 4 policy areas
* Policy area 1: Regulation of specific business sectors
gen reg_spec_busi=.
label variable reg_spec_busi "Regulation of specific business sectors"
replace reg_spec_busi = 0 if eurlex_code !=.
replace reg_spec_busi = 1 if eurlex_code>3000000 & eurlex_code<3999999
replace reg_spec_busi = 1 if eurlex_code>4000000 & eurlex_code<4999999
replace reg_spec_busi = 1 if eurlex_code>6000000 & eurlex_code<6999999
replace reg_spec_busi = 1 if eurlex_code>7000000 & eurlex_code<7999999
replace reg_spec_busi = 1 if eurlex_code>12200000 & eurlex_code<12999999
replace reg_spec_busi = 1 if eurlex_code>13200000 & eurlex_code<13399999

* Policy area 2: General regulation of business
gen reg_gen_busi=.
label variable reg_gen_busi "General regulation of business"
replace reg_gen_busi = 0 if eurlex_code !=.
replace reg_gen_busi = 1 if eurlex_code>2000000 & eurlex_code<2999999
replace reg_gen_busi = 1 if eurlex_code>8000000 & eurlex_code<8999999
replace reg_gen_busi = 1 if eurlex_code>9000000 & eurlex_code<9999999
replace reg_gen_busi = 1 if eurlex_code>=13100000 & eurlex_code<13199999
replace reg_gen_busi = 1 if eurlex_code>=13400000 & eurlex_code<13499999
replace reg_gen_busi = 1 if eurlex_code>=13600000 & eurlex_code<13699999
replace reg_gen_busi = 1 if eurlex_code>17000000 & eurlex_code<17999999

* Policy area 3: EU institutional matters
gen EU_inst_mat =.
label variable EU_inst_mat "EU institutional matters"
replace EU_inst_mat = 0 if eurlex_code !=.
replace EU_inst_mat = 1 if eurlex_code>1000000 & eurlex_code<1999999
replace EU_inst_mat = 1 if eurlex_code>10000000 & eurlex_code<10999999
replace EU_inst_mat = 1 if eurlex_code>14000000 & eurlex_code<14999999
replace EU_inst_mat = 1 if eurlex_code>17999999.9 & eurlex_code<18999999
replace EU_inst_mat = 1 if eurlex_code>20000000 & eurlex_code<20999999

* Policy area 4: General regulation
gen General_reg =.
label variable General_reg "General regulation"
replace General_reg = 0 if eurlex_code !=.
replace General_reg = 1 if eurlex_code>5000000 & eurlex_code<5999999
replace General_reg = 1 if eurlex_code>11000000 & eurlex_code<11999999
replace General_reg = 1 if eurlex_code>12000000 & eurlex_code<12109999
replace General_reg = 1 if eurlex_code>15000000 & eurlex_code<15999999
replace General_reg = 1 if eurlex_code>16000000 & eurlex_code<16999999
replace General_reg = 1 if eurlex_code>19000000 & eurlex_code<19999999

* New categorical variable for policy areas
gen policy_area =.
label variable policy_area "Policy area"
label define Policy_areas 1 "Regulation of specific business sectors" 2 "General regulation of business" 3 "EU institutional matters" 4 "General regulation"
label values policy_area Policy_areas
replace policy_area =1 if reg_spec_busi ==1
replace policy_area =2 if reg_gen_busi ==1
replace policy_area =3 if EU_inst_mat ==1
replace policy_area =4 if General_reg ==1

* New variable for legislative procedure, that only registers "Council and European Parliament"
gen leg_proc_new =.
label variable leg_proc_new "Legislative procedure"
label define leg_proc_new 0 "Commission or Council alone" 1 "Council and EP"
replace leg_proc_new =0 if V5 == 1
replace leg_proc_new =0 if V5 == 2
replace leg_proc_new =1 if V5 == 3 


* How often are several consultation formats used?
gen Cons_total = V17a+ V18a+ V19a+ V20a+ V21a+ V22a+ V23a+ V24+ V25a

* Is there a development across time in the use of consultat formats?
* (examined by annual averages on Cons_total)
* First make year variable
gen Year =0
replace Year=2011 if regexm(V2, "2011")
replace Year=2012 if regexm(V2, "2012")
replace Year=2013 if regexm(V2, "2013")
replace Year=2014 if regexm(V2, "2014")
replace Year=2015 if regexm(V2, "2015")
replace Year=2016 if regexm(V2, "2016")
replace Year=. if regexm(V2, "IA")


* TYPES OF STAKEHOLDERS INVOLVED 
* First make overview of how many cases have registrations
gen NEW_17c= V17c_1+ V17c_2+ V17c_3+ V17c_4+ V17c_5+ V17c_6
gen NEW_18c= V18c_1+ V18c_2+ V18c_3+ V18c_4+ V18c_5+ V18c_6
gen NEW_19c= V19c_1+ V19c_2+ V19c_3+ V19c_4+ V19c_5+ V19c_6
gen NEW_21b= V21b_1+ V21b_2+ V21b_3+ V21b_4+ V21b_5+ V21b_6
gen NEW_22b= V22b_1+ V22b_2+ V22b_3+ V22b_4+ V22b_5+ V22b_6
* Then calculate number of registrations as 368 from which 0_values on the new variables are subtracted

* ARE THE DIFFERENT TYPES OF STAKEHOLDERS CONSULTED AT ALL?
*Make new variables that measure across consultation formats whether the different actor types are involved at all 
*Trade unions:
gen Trad_un = 0
label variable Trad_un "Trade unions"
replace Trad_un =1 if V17c_1 == 1
replace Trad_un =1 if V18c_1 == 1
replace Trad_un =1 if V19c_1 == 1
replace Trad_un =1 if V22b_1 == 1

* Business organizations
gen Busi_org = 0
label variable Busi_org "Business organizations"
replace Busi_org =1 if V17c_2 == 1
replace Busi_org =1 if V18c_2 == 1
replace Busi_org =1 if V19c_2 == 1
replace Busi_org =1 if V22b_2 == 1

* National or subnational authorities
gen Nat_auth = 0
label variable Nat_auth "National or subnational authorities"
replace Nat_auth= 1 if V17c_3 == 1
replace Nat_auth= 1 if V18c_3 == 1
replace Nat_auth= 1 if V19c_3 == 1
replace Nat_auth= 1 if V22b_3 == 1

* NGOs
gen NGOs = 0
label variable NGOs "NGOs"
replace NGOs= 1 if V17c_4 == 1
replace NGOs= 1 if V18c_4 == 1
replace NGOs= 1 if V19c_4 == 1
replace NGOs= 1 if V22b_4 == 1

* Individual citizens
gen Indiv_cit = 0
label variable Indiv_cit "Individual citizens"
replace Indiv_cit= 1 if V17c_5 == 1
replace Indiv_cit= 1 if V18c_5 == 1
replace Indiv_cit= 1 if V19c_5 == 1
replace Indiv_cit= 1 if V22b_5 == 1

* Other actors
gen Other_act = 0
label variable Other_act "Other actors"
replace Other_act= 1 if V17c_6 == 1
replace Other_act= 1 if V18c_6 == 1
replace Other_act= 1 if V19c_6 == 1
replace Other_act= 1 if V22b_6 == 1

* All actors
gen All_act = 0
label variable All_act "All actors"
replace All_act =1 if Trad_un == 1
replace All_act =1 if Busi_org == 1
replace All_act =1 if Nat_auth == 1
replace All_act =1 if NGOs == 1
replace All_act =1 if Indiv_cit == 1
replace All_act =1 if Other_act == 1


* TABLES

* Table 1
tab1 V17c_1 V17c_2 V17c_3 V17c_4  V17c_5 V17c_6
tab1 V18c_1 V18c_2 V18c_3 V18c_4 V18c_5 V18c_6
tab1 V19c_1 V19c_2 V19c_3 V19c_4 V19c_5 V19c_6
tab1 V22b_1 V22b_2 V22b_3 V22b_4 V22b_5 V22b_6
* N in the table is calculated as 368 from which 0_values on variables NEW_17c, NEW_18c, NEW_19c, and NEW_22b are subtracted

* Table 2
tab2 V17a policy_area if All_act==1, column
tab2 V18a policy_area if All_act==1, column
tab2 V19a policy_area if All_act==1, column
tab2 V22a policy_area if All_act==1, column

* Table 3
tab1 Trad_un Busi_org Nat_auth NGOs Indiv_cit Other_act if reg_spec_busi==1 & All_act==1
tab1 Trad_un Busi_org Nat_auth NGOs Indiv_cit Other_act if reg_gen_busi==1 & All_act==1
tab1 Trad_un Busi_org Nat_auth NGOs Indiv_cit Other_act if EU_inst_mat ==1 & All_act==1
tab1 Trad_un Busi_org Nat_auth NGOs Indiv_cit Other_act if General_reg ==1 & All_act==1
tab1 Trad_un Busi_org Nat_auth NGOs Indiv_cit Other_act if All_act==1 &policy_area !=.

* Table 4
logit Trad_un V17a V18a V19a V22a reg_spec_busi reg_gen_busi EU_inst_mat General_reg V4 leg_proc_new if All_act==1
logit Busi_org V17a V18a V19a V22a reg_spec_busi reg_gen_busi EU_inst_mat General_reg V4 leg_proc_new if All_act==1
logit Nat_auth V17a V18a V19a V22a reg_spec_busi reg_gen_busi EU_inst_mat General_reg V4 leg_proc_new if All_act==1
logit NGOs V17a V18a V19a V22a reg_spec_busi reg_gen_busi EU_inst_mat General_reg V4 leg_proc_new if All_act==1


* Online Table A1
tab new_eurlexcode, mis

* Online Table A2
tab V3, mis





















